package cn.estsh.i3plus.pojo.screen.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/3/22 下午1:27
 * @desc
 */
@Entity
@Table(name = "SCR_DATA_OBJECT")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel("数据对象管理")
public class ScrDataObject extends BaseBean implements Serializable {
    private static final long serialVersionUID = -270662014158685376L;

    @Column(name = "DATA_SOURCE_ID")
    @ApiModelProperty(value = "数据源ID", example = "-1")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long dataSourceId;

    @Column(name = "DATA_OBJECT_CODE")
    @ApiModelProperty(value = "数据对象代码")
    private String dataObjectCode;

    @Column(name = "SOURCE_CODE")
    @ApiModelProperty(value = "数据源编码")
    private String sourceCode;

    @Column(name = "DATA_OBJECT_SOURCE_CODE")
    @ApiModelProperty(value = "数据名称")
    private String dataObjectSourceCode;

    @Column(name = "DATA_TYPE")
    @ApiModelProperty(value = "数据类型")
    private String dataType;

    @Column(name = "DESCRIPTION")
    @ApiModelProperty(value = "描述")
    private String description;


}
