package cn.estsh.i3plus.pojo.screen.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/3/22 下午5:21
 * @desc
 */
@Entity
@Table(name = "SCR_DATA_OBJECT_PROPERTY")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel("数据对象属性")
public class ScrDataObjectProperty extends BaseBean implements Serializable {
    private static final long serialVersionUID = 6954106365899677132L;

    @Column(name = "DATA_OBJECT_CODE")
    @ApiModelProperty(value = "数据对象代码")
    private String dataObjectCode;

    @Column(name = "FIELD_CODE")
    @ApiModelProperty(value = "字段代码")
    private String fieldCode;

    @Column(name = "DISPLAY_NAME")
    @ApiModelProperty(value = "字段名称")
    private String displayName;

    @Column(name = "FIELD_TYPE")
    @ApiModelProperty(value = "字段类型")
    private String fieldType;

    @Column(name = "IS_PRIMARY_KEY")
    @ApiModelProperty(value = "是否主键")
    private Integer isPrimaryKey;

    @Column(name = "IS_NULLABLE")
    @ApiModelProperty(value = "是否允许为空")
    private Integer isNullable;


}
